Beveilig je iPhone of iPad met een update naar iOS 16.3.1

  • door

iPhonegebruikers hebben vanaf vandaag de mogelijkheid om hun iPhone bij te werken naar iOS 16.3.1. Er is alle reden om dat te doen.

Apple rolt momenteel iOS 16.3.1, iPadOS 16.3.1 en macOS Ventura 13.2.1 uit naar geschikte apparaten. Gebruikers die de update zien staan, doen er goed aan hem zo snel mogelijk te installeren: je dicht er namelijk een veiligheidslek in Safari mee en maakt er dus je iPhone, iPad of mac veiliger mee.

Concreet gaat het om een bug in de WebKit-engine waarop Safari gebouwd is. Door ‘jsonwebtoken’, een JavaScript library, aan te roepen kan er vanop afstand allerlei code op je apparaat uitgevoerd worden. Het veiligheidslek kreeg zelfs even een nummer: CVE-2022-23529. Die nummer werd echter snel geschrapt. Volgens de National Vulnerability Database (NVD), dat de CVE-codes uitschrijft, is er in dit geval namelijk ‘geen sprake van een softwareprobleem’. Het lek werd mogelijks actief misbruikt.

Ook als je geen Safari gebruikt is het belangrijk om deze update te installeren. De WebKit-engine werd gebruikt om Safari te ontwikkelen. Apple schrijft echter voor dat elke iPhone- of iPadbrowser die engine moet gebruiken. Gebruik je dus Google Chrome, Firefox of Opera op je toestel? Dan loop je nog steeds risico.

Daarnaast zit er in de update ook een oplossing voor een probleem met de Shortcuts-applicatie. Langs daar konden allerlei apps meegluren naar ‘niet-beschermde gebruikersdata’ waartoe de Shortcuts-app wel toegang tot had. Met de nieuwe update zorg je ervoor dat je bestanden wel veilig versleuteld zijn.

Google Photos werkt niet

Een aantal uren na de release van iOS 16.3.1 stond het internet al vol met problemen: de Google Photos-app stopte volledig met werken. Na de update werd het voor verschillende gebruikers onmogelijk om de app nog te openen aangezien hij zo goed als meteen crashte.

Dat lijkt niet voor alle gebruikers het geval te zijn: bij sommigen werkt de Photos-app nog gewoon nadat ze hun iPhone of iPad bijwerkten.

Kennisgeving: Voor dit product is een JavaScript vereist.

Bron: Techpulse.be